onprogress = false;

function startRequest()
{
  if(onprogress){
    alert("Trwa przetwarzanie danych.");
    return;
  }
  var tfIdText = document.getElementById('tfId').value;
  if(tfIdText == ""){
    alert("Proszę wypełnić pole ID.");
    return;
  }
  url = "http://localhost/dane.php?id=" + tfIdText;
  url = encodeURI(url);

  onprogress = true;
  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  var dataDiv = document.getElementById("dataDiv");
  if(text.substr(0, 5) != "error"){
    dataDiv.innerHTML = text;
  }
  else{
    arr = text.split("\n");
    if(arr.length != 2){
      dataDiv.innerHTML = "Błędna odpowiedź serwera.";
    }
    else{
      dataDiv.innerHTML = arr[1];
    }
  }
}

function onEnd()
{
  onprogress = false;
}